import http from '@/request/http.js'

export default {
    // 获取学校文件夹和个人文件夹List
    GetFolderList () {
        return http.get('/api/Education/SchoolResource/MyResource/GetFolderList')
    },
    // 获取我的收藏分享列表
    GetCollectShareList (params) {
        return http.post('/api/Education/SchoolResource/MyResource/GetCollectShareList', JSON.stringify(params))
    },
    // 获取我管理的文件夹
    GetMyManageFolderList () {
        return http.get('/api/Education/SchoolResource/MyResource/GetMyManageFolderList')
    },
    // 获取我管理的常规文件夹资料列表
    GetMyManageRoutineFolderList (params) {
        return http.post('/api/Education/SchoolResource/MyResource/GetMyManageRoutineFolderList', JSON.stringify(params))
    },
    // 获取我管理的任务文件夹资料列表
    GetMyManageTaskFolderList (params) {
        return http.post('/api/Education/SchoolResource/MyResource/GetMyManageTaskFolderList', JSON.stringify(params))
    },
    // 获取资料列表某人下的文件信息
    GetMyManageFileInfo (params) {
        return http.post('/api/Education/SchoolResource/MyResource/GetMyManageFileInfo', JSON.stringify(params))
    },
    // 获取文档列表
    GetFileList (params) {
        return http.post('/api/Education/SchoolResource/GetFileList', JSON.stringify(params))
    },
    // 文件分享
    fileShare (params) {
        return http.post('/api/Education/SchoolResource/MyResource/FileShare', JSON.stringify(params))
    },
    // 上传文件
    uploadFile (params) {
        return http.post('/api/Education/SchoolResource/FileInfo/UploadFile', JSON.stringify(params))
    },
    // 新增编辑个人文件夹
    CreateOrUpdateFolder (params) {
        return http.post('/api/Education/SchoolResource/PersonalFolderInfo/CreateOrUpdate', JSON.stringify(params))
    },
    // 删除个人文件夹
    deleteFolder (params) {
        return http.get('/api/Education/SchoolResource/PersonalFolderInfo/Delete', { params: params })
    },
    // 删除文件
    deleteFile (params) {
        return http.get('/api/Education/SchoolResource/FileInfo/DeleteFile', { params: params })
    },
    // 修改文件名称
    updateFileName (params) {
        return http.get('/api/Education/SchoolResource/FileInfo/UpdateFileName', { params: params })
    },
    // 获取学校文件夹List
    GetSchoolFolderList () {
        return http.get('/api/Education/SchoolResource/SchoolFolderInfo/GetSchoolFolderList')
    },
    // 新增编辑学校文件夹
    createOrUpdateSchool (params) {
        return http.post('/api/Education/SchoolResource/SchoolFolderInfo/CreateOrUpdate', JSON.stringify(params))
    },
    // 获取校内资源文件夹List
    getSchoolResourceFolderList () {
        return http.get('/api/Education/SchoolResource/GetFolderList')
    },
    // 删除学校文件夹
    deleteSchoolFolder (params) {
        return http.get('/api/Education/SchoolResource/SchoolFolderInfo/Delete', { params: params })
    },
    // 获取学校文件夹对象
    getSchoolFolderInfo (params) {
        return http.get('/api/Education/SchoolResource/SchoolFolderInfo/Get', { params: params })
    }
}
